- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.BillingProfilesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles/list#try-it)

Retrieves a list of billing profiles, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/billingProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `currency_code` | `string` Select only billing profile with currency. |
| `subaccountIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only billing profile with the specified subaccount.When onlySuggestion is true, only a single subaccountId is supported. |
| `status[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles#BillingStatus`)`` Select only billing profile with the specified status. |
| `onlySuggestion` | `boolean` Select only billing profile which is suggested for the currencyCode \& subaccountId using the Billing Suggestion API. |
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only billing profile with these IDs. |
| `name` | `string` Allows searching for billing profiles by name. Wildcards (`*`) are allowed. For example, `"profile*2020"` will return objects with names like `"profile June 2020"`, `"profile April 2020"`, or simply `"profile 2020"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"profile"` will match objects with name `"my profile"`, `"profile 2021"`, or simply `"profile"`. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Billing profile billingProfiles.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "billingProfiles": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles#BillingProfile`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#billingProfilesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `billingProfiles[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/billingProfiles#BillingProfile`)`` Billing profiles collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`